# Uses of Class
org.apache.datasketches.frequencies.FrequentItemsSketch

Packages that use FrequentItemsSketch
Package
Description
org.apache.datasketches.frequencies
This package contains the implementations of the paper https://arxiv.org/abs/1705.07001.

## Uses of FrequentItemsSketch in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return FrequentItemsSketch
Modifier and Type
Method
Description
`static <T> FrequentItemsSketch<T>`
FrequentItemsSketch.`getInstance(MemorySegment srcSeg, ArrayOfItemsSerDe<T> serDe)`
Returns a sketch instance of this class from the given srcSeg, which must be a MemorySegment representation of this sketch class.
`FrequentItemsSketch<T>`
FrequentItemsSketch.`merge(FrequentItemsSketch<T> other)`
This function merges the other sketch into this one.
Methods in org.apache.datasketches.frequencies with parameters of type FrequentItemsSketch
Modifier and Type
Method
Description
`FrequentItemsSketch<T>`
FrequentItemsSketch.`merge(FrequentItemsSketch<T> other)`
This function merges the other sketch into this one.